import request from '@/utils/request'

// 查询其他配置列表
export function listOtherSetting(query) {
  return request({
    url: '/system/otherSetting/list',
    method: 'get',
    params: query
  })
}

// 查询其他配置详细
export function getOtherSetting(id) {
  return request({
    url: '/system/otherSetting/' + id,
    method: 'get'
  })
}

// 新增其他配置
export function addOtherSetting(data) {
  return request({
    url: '/system/otherSetting',
    method: 'post',
    data: data
  })
}

// 修改其他配置
export function updateOtherSetting(data) {
  return request({
    url: '/system/otherSetting',
    method: 'put',
    data: data
  })
}

// 删除其他配置
export function delOtherSetting(id) {
  return request({
    url: '/system/otherSetting/' + id,
    method: 'delete'
  })
}
